<?php

  class CompteClient {
        private $email;
      	private $mdp;
      	private $nom; 
      	private $adresse;
      	
      	/* comme pour VBA, PHP nour permet de creer de getter et de setter "magiques". */
      	/* PHP va appeler ces methodes chaque fois qu'on essaye d'acceder ou de changer un attribut */
        
        /* chaque fois qu'on fera $obj->nom = xxx (ou n'importe quel autre attribut), 
           PHP appele __Set */
        public function __Set($attr, $val) {
        	$this->$attr = $val ;       /* $this veut dire "moi", c'est objet lui-même */
        }

        /* chaque fois qu'on fera $obj->nom (ou n'importe quel autre attribut), 
           PHP appele __Get */
        public function __Get($attr) {
        	return $this->$attr ;  
        }
        
        
        /* un constructeur est la fonction utilisée à chaque fois qu'on va créer un nouvel objet */ 
         function __construct () {
              $this->email = "";
              $this->mdp = "";
              $this->nom = "";
              $this->adresse = "";
         }
         
         
         /* on peut ajouter les fonctions qu'on veut à la classe */
         
         /* fonction pour chercher ce user avec ce mdp à la BdD */
         function chercheUserMdP () {
              
              /* on recupere les infos de connexion du ficher connexionOO.php */
              include "connexionOO.php";
              
              /* ouverture de connexion avec la BdD */
              $mysqli = new mysqli($host, $user, $password, $database);
		
		      if ($mysqli->connect_errno) {
		  	      die ("Echec lors de la connexion à MySQL : " . $mysqli->connect_error);
		      }
              
              /* on fait la requete SQL */
              $sql = "SELECT * FROM client " .
	                 " WHERE email='".$this->email . "' AND  mdp='".$this->mdp."'";
	   
	          //echo "<p>$sql</p>";
	          $result = $mysqli->query($sql);
	   
	           /* on retourne le nombre de resultats  */
	           //echo "<p> $result->num_rows  </p>";
	   
	           
   	           if ($result->num_rows > 0) {
   	                //on recupere les autres infos de ce user
   	                $ligne = $result->fetch_object();
                    $this->nom = $ligne->nom;
                    $this->adresse = $ligne->adresse;
               }
               
               return $result->num_rows ;
         }//fin fonction
         
      }

?>