<!DOCTYPE html>
<html lang='fr'>
    <head>
        <title>Nouvelle randonnée</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>
    <body>
        <h1> Nouvelle randonnée </h1>

    <?php
        /* on verifie si on a toutes les infos */
        if (empty($_POST['nom']) || empty($_POST['ville']) || empty($_POST['pays'])) {
            echo "<p> vous devez indiquer le nom, le pays et la ville. </p>";
        }
        else {
            /* on recupère les données */ 
            $nom = $_POST['nom'];
            $ville = $_POST['ville'];
            $pays = $_POST['pays'];
            $photo='';
            
            $maxsize = 4200000; /* taille max ±4Mo */
            
            /* on verifie si on a une photo */ 
            if (isset($_FILES['photo'])) {
                echo "<p> Photo : " . $_FILES['photo']['name'];
                echo " " . $_FILES['photo']['type'];
                echo " " . $_FILES['photo']['size'] . " </p>";
                
                /* on vérifie si le transfert s'est bien passé */
                if ($_FILES['photo']['error'] > 0) {
                  echo "<p> Erreur lors du transfert de l'image. </p>";  
                } 
                else { 
                    echo "<p> on verifie votre photo </p>";
                    
                    /* on vérifie la taille de l'image pour sécurité */
                    if ( intval($_FILES['photo']['size']) < $maxsize ) {
                            
                        /*  on vérifie qu'il s'agit bien d'une image */
                        /* on va couper juste l'extension du nom du fichier */ 
                        $ext = substr(strrchr($_FILES['photo']['name'],'.'),1);
                        $extensions = array( 'jpg' , 'jpeg' , 'gif' , 'png' );
                        if (!in_array($ext,$extensions)) {
                            echo "<p> Mauvais format pour la photo (uniquement jpg, jpeg, gif, png). </p>";  
                        }
                        else {
                            /* toutes les conditions sont réunies, on peut    enregistrer la photo */
                            
                            /* on doit lui donner un nom, prenons un numéro aléatoire (pour eviter les doublons). On doit aussi enregistrer quelque part qu'on saura trouver, prenons le dossier img */
                            $numAleatoire =  md5(uniqid(rand(), true));
                            $photo = "img/".$numAleatoire.".".$ext;
                            
                            /* on recopie le ficher de son emplacement temporaire (où le serveur l'a mis en attendant qu'on en fasse usage) à sa destination finale */
                            move_uploaded_file($_FILES['photo']['tmp_name'],$photo);
                            
                            echo "<p> photo transférée : $photo </p>";
                        }   
                    }
                    else {
                        echo "<p> taille suppérieur à la limite $maxsize </p>";
                    }
                }
            }
            
            /* maintenant qu'on a toutes les infos, on les insère dans la bdd */
            /* ouverture de connexion */ 
            include "connexion.php";
            
            /* préparation de la requête */
            /* on va nettoyer les valeurs qu'on a à insérer de tout caractère pouvant faire bougger la requête comme un ' dans le nom de la ville 
            (p.ex. "d'orléans")  */            
            $nom = $mysqli->real_escape_string($nom);
            $ville = $mysqli->real_escape_string($ville);
            $pays = $mysqli->real_escape_string($pays);
            
            $sql = "INSERT INTO randonnees (nom, ville, pays, photo) 
                    VALUES ('$nom', '$ville', '$pays', '$photo')";
            
            
            echo "<p> $sql </p>" ;
            
            /* execution de la requete */
            $result = $mysqli->query ($sql) ;
            
            if (!$result) {
                echo "<p> impossible d'insérer la nouvelle randonnée </p>";
            }
            else {
                echo "<p>Nouvelle randonnée n° " . $mysqli->insert_id . "</p>";
            }
            
        }
    ?>
    </body>
</html>